/*
 * @file xmltv.lib/channel.h Channel Class
 *
 * atvguide -- a collection of helper libraries and a GTK+ frontend for XMLTV
 * Copyright (C) 2004  Andrew Ayer
 * Copyright (C) 2010  Ben Asselstine
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
 * 02110-1301, USA.
*/


#ifndef _CHANNEL_H
#define _CHANNEL_H

#include <string.h>
namespace XmlTv {
struct channel
{
	char*		id;
	char*		name;

	channel (const char* _id, const char* _name) {
		id = new char[strlen(_id) + 1];
		strcpy(id, _id);

		name = new char[strlen(_name) + 1];
		strcpy(name, _name);
	}

	~channel () {
		delete[] id;
		delete[] name;
	}

};
};

#endif // _CHANNEL_H
